## org.eclipse.emf.cdo.eresource
Interface CDOResourceNode

All Superinterfaces:
  CDOObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CDOResource, CDOResourceFolder

All Known Implementing Classes:
  CDOResourceFolderImpl, CDOResourceImpl, CDOResourceNodeImpl

    public interface CDOResourceNode

extends CDOObject

A representation of the model object 'CDO Resource Node'.

The following features are supported:

- `Folder`
- `Name`
- `Path`

Since:
  2.0
See Also:
  `EresourcePackage.getCDOResourceNode()`

Field Summary
`static java.lang.String` `ROOT_NAME`
`static java.lang.String` `ROOT_PATH`

Method Summary
`void` `delete(java.util.Map<?,?> options)` `deletes` the resource using the specified options, `unloads` it, and then removes it from the `containing` resource set.
`CDOResourceFolder` `getFolder()` Returns the value of the 'Folder' container reference.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` `getPath()` Returns the value of the 'Path' attribute.
`org.eclipse.emf.common.util.URI` `getURI()`
`boolean` `isRoot()`
`void` `setFolder(CDOResourceFolder value)` Sets the value of the '`Folder`' container reference.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setPath(java.lang.String value)` Sets the value of the '`Path`' attribute.

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### ROOT_PATH

    static final java.lang.String ROOT_PATH

Since:
  2.0
See Also:
  Constant Field Values

### ROOT_NAME

    static final java.lang.String ROOT_NAME

Since:
  2.0

Method Detail

### isRoot

    boolean isRoot()

  Since:
    2.0

### getFolder

    CDOResourceFolder getFolder()

  Returns the value of the 'Folder' container reference. It is bidirectional and its opposite is ' `Nodes`'.

  If the meaning of the 'Folder' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Folder' container reference.
  See Also:
    `setFolder(CDOResourceFolder)`, `EresourcePackage.getCDOResourceNode_Folder()`, `CDOResourceFolder.getNodes()`

### setFolder

    void setFolder(CDOResourceFolder value)

  Sets the value of the '`Folder`' container reference.

  Parameters:
    `value` - the new value of the 'Folder' container reference.
  See Also:
    `getFolder()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `EresourcePackage.getCDOResourceNode_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getPath

    java.lang.String getPath()

  Returns the value of the 'Path' attribute.

  If the meaning of the 'Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Path' attribute.
  See Also:
    `setPath(String)`, `EresourcePackage.getCDOResourceNode_Path()`

### setPath

    void setPath(java.lang.String value)

  Sets the value of the '`Path`' attribute.

  Parameters:
    `value` - the new value of the 'Path' attribute.
  See Also:
    `getPath()`

### getURI

    org.eclipse.emf.common.util.URI getURI()

### delete

    void delete(java.util.Map<?,?> options)
                throws java.io.IOException

  `deletes` the resource using the specified options, `unloads` it, and then removes it from the `containing` resource set.

  Options are handled generically as feature-to-setting entries; the resource will ignore options it doesn't recognize. The options could even include things like an Eclipse progress monitor...

  An implementation typically uses the `URI converter` of the `containing` resource set to `URIConverter.delete(URI, Map)` the resource's `URI`.

  Throws:
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.